#include <vector>

using namespace std;

class Complex {
  private:
    double re, im;

  public:
    Complex(double re_=0, double im_=0) : re(re_), im(im_) {}
};

class Polynom {
  private:
    vector<double> a;

  public:
    Polynom() {}
    Polynom(int n) : a(n + 1) { a[n] = 1; }
};

class Vektor {
  private:
    double* ap;
    int len;

  public:
    Vektor() : ap(0), len(0) {}
    Vektor(int n, double x=0) : len(n) {
      ap = new double[n];
      for (int i = 0; i < len; i++) ap[i] = x;
    }
};

int main() {
  Complex z1, z2{2}, z3{3, 4};
  const Complex i{0, 1};

  Polynom p, q{5};
  const Polynom cp, cq{5};

  Vektor v, w{3};
  const Vektor cv, cw{3};

  return 0;
}
